Questions tagged [version]

The tag has no usage guidance.

Filter by
Sorted by
Tagged with
3 votes
1 answer
119 views

When was getcharstr() introduced? And how could I have found the answer my self from :help?

Yesterday I made a change to my plugin which essentially consisted in using getcharstr() instead of nr2char(getchar()). That was Vim 8.2.4106. Today at work I updated my plugin and got an error, ...
user avatar
  • 1,562
2 votes
0 answers
232 views

Does vim-easymotion only work in neovim?

I was wondering if the easymotion-overwin was compatible with vim, or does it only works in neovim? I have my .vimrc's keymaps setup like this for easy-motion "----- Easy-Motion ----- map <...
user avatar
  • 161
0 votes
1 answer
46 views

Unknown function: strptime on Linux Mint [closed]

I was having trouble to make the following function to work on Linux machines, where +eval feature is found upon calling :version. The error message reads: E117: Unknown function: strptime The ...
user avatar
  • 300
2 votes
1 answer
379 views

Suddenly running :colorscheme breaks lightline

Suddenly, after a Vim update, I guess, when I run :colo some_color_scheme, the coloring of my lightline status bar is black and white, as you can see in the following screencast: Since I version my ...
user avatar
  • 1,562
2 votes
0 answers
109 views

YouCompleteMe unavailable: unable to load Python [duplicate]

I have done PlugInstall but it gives: YouCompleteMe unavailable: unable to load Python. The same error happens while loading UltiSnips: E370: Could not load python36.dll My vimrc: set rnu set nu ...
user avatar
2 votes
0 answers
97 views

What is a pop_up windows? [closed]

Vim 8.2 has been released a couple of days ago and as I was reading I see that you can display somehow functions prototype, I am pretty exciting about this I hope documentations come pretty soon, ...
user avatar
  • 21
1 vote
1 answer
208 views

Vim 6.4 broke after adding plugin file to runtimepath

I am working on a group server and using Vim 6.4 there. And because admin there doesn't let us install new software or having any plugin-manager, I have to manually add those plugin files to ...
user avatar
0 votes
1 answer
148 views

Version conflict between vi and vim

I installed some plugins which is supported above vi version 7.4. When i open files with vi command its will show the plugin not supported with version 7.3. After that i was opened with vim command ...
user avatar
-2 votes
1 answer
115 views

Why is the version of Vim displayed by 'apt' different from the one displayed in Vim?

These the output of the commands to check which version of Vim I am using on Devain Jessie and Debian Sid I have checked my systems - Output of debian jessie :python import sys; print(sys.version)...
user avatar
  • 807
0 votes
1 answer
318 views

How can I get more features?

My vim version is "huge" without GUI. Nevertheless, it is missing a lot of features like clipboard and python. How can I get a more full-featured version? I read that there is a version vim-nox which ...
user avatar
  • 1,825
0 votes
0 answers
396 views

Vim compilation requirements for Nvim-R

I use Vim 7.4.521 under Kubuntu 14.04.4. I downloaded and installed Nvim-R 0.9.5 (for Vim >= 7.4.1829) via :so %. Doing the following: $ vim somefile.R on a file containing R code results in Vim ...
user avatar
11 votes
2 answers
3k views

Gundo plugin requires python 2.4 when version 2.7 is installed

I have Python 2.7.9 installed. And now I get the message that the Gundo plugin requires 2.4. Is there a workaround? Here is my vimrc file: set nocompatible " be iMproved, required ...
user avatar
2 votes
0 answers
424 views

Make vim version 7 edit xml files

I'm using old Debian linux an vim version 7.1.314. I would like to edit eclipse .cproject file that build using XML syntax. Currently vim shows not colored information. I found vim plugin that I hope ...
user avatar
  • 141
8 votes
1 answer
213 views

How can I automate checking for new Vim releases on Windows?

Following up my earlier question (How can I install 64-bit Vim on Windows?), I'd like to automate updating Vim. On Linux, I let the package manager and its frontends take care of checking for updates ...
user avatar
  • 23.7k
5 votes
1 answer
591 views

Problems with paths that includes swedish characters

Update I've now also tried this on my Arch setup and everything works fine there. vim --version on that machine says: VIM - Vi IMproved 7.4 (2013 Aug 10, compiled Sep 28 2015 08:49:36) Included ...
user avatar
5 votes
2 answers
3k views

How can I check if Vim is 32 bit or 64 bit? (On Linux!)

How can I find out if the vim I'm using is 32 or 64 bit? I'm using Ubuntu so this doesn't apply to me, I think. Also I checked :version and got this output: VIM - Vi IMproved 7.3 (2010 Aug 15, ...
user avatar
  • 183
14 votes
3 answers
13k views

How do I tell if Vi or Vim is installed on my Linux distribution?

I use Kubuntu 14.04 with its default installation (bash, Konsole). I want to learn a powerful, all-keyboard, text editor, and settled on one of these: Vi, Vim, Emacs, (and I'll learn Nano since it's ...
user avatar
  • 337
15 votes
1 answer
3k views

How to check whether Vim is built as a 32-bit or 64-bit application?

How do I check if Vim is compiled as 64-bit or 32-bit from within vimscript? Specifically on Windows.
user avatar
  • 310
3 votes
1 answer
142 views

Did Vim ever use a different versioning scheme?

In Debian packaging, a version number looks like: x:y~z, where x is called the epoch. According to the Debian policy: It is provided to allow mistakes in the version numbers of older versions of a ...
user avatar
  • 23.7k
23 votes
1 answer
21k views

How do I know the patch version of my vim?

I have vim 7.4 installed, but I'm not sure what patch level it was at when I installed it. How do I check? vim --version Gives VIM - Vi IMproved 7.4 (2013 Aug 10, compiled Oct 15 2014 16:18:44) ......
user avatar